Get certificate
GET/organization/certificates/{certificate_id}
Get a certificate that has been uploaded to the organization.
You can get a certificate regardless of whether it is active or not.
Path Parameters
certificate_id: string
Query Parameters
include: optional array of "content"
A list of additional fields to include in the response. Currently the only supported value is content to fetch the PEM content of the certificate.
Returns
id: string
The identifier, which can be referenced in API endpoints
created_at: number
The Unix timestamp (in seconds) of when the certificate was uploaded.
name: string
The name of the certificate.
active: optional boolean
Whether the certificate is currently active at the specified scope. Not returned when getting details for a specific certificate.
Get certificate
curl "https://api.openai.com/v1/organization/certificates/cert_abc?include[]=content" \
-H "Authorization: Bearer $OPENAI_ADMIN_KEY"
{
"object": "certificate",
"id": "cert_abc",
"name": "My Example Certificate",
"created_at": 1234567,
"certificate_details": {
"valid_at": 1234567,
"expires_at": 12345678,
"content": "-----BEGIN CERTIFICATE-----MIIDeT...-----END CERTIFICATE-----"
}
}
Returns Examples
{
"object": "certificate",
"id": "cert_abc",
"name": "My Example Certificate",
"created_at": 1234567,
"certificate_details": {
"valid_at": 1234567,
"expires_at": 12345678,
"content": "-----BEGIN CERTIFICATE-----MIIDeT...-----END CERTIFICATE-----"
}
}